<div class="flex-grow flex-col h-screen">
  <app-top-bar title="Administration - Users/Critères/Process/Update"></app-top-bar>
  <div class="main-div">
    <mat-card class="m-10 mat-elevation-z4 ">
      <mat-card-header>
        <mat-card-title>Formulaire - Modifier un Process</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <form class="example-form" (ngSubmit)="!processForm.invalid && save()" #processForm="ngForm">
          <mat-form-field class="example-full-width">
            <mat-label>Nom du Process</mat-label>
            <input minlength="3" name="nomProcess" matInput placeholder="Ex. Post-process" [(ngModel)]="processToUpdate.nomProcess" required>
            <mat-error *ngIf="processToUpdate.nomProcess.length <3">Le champs est requis et nécessite au moins 3 caractères</mat-error>
          </mat-form-field>
          <button type="submit" [disabled]="!processForm.valid" mat-flat-button color="primary">Ajouter</button>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>

